Retrieve KBA Questions - Dwolla Developer Portal
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
https://api.dwolla.comhttps://api-sandbox.dwolla.com
/kba/{id}
cURL
GET https://api.dwolla.com/kba/33aa88b1-97df-424a-9043-d5f85809858b
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer cRahPzURfaIrTewKL18tmslWPqKdzkLeYJm0oB1hGJ1vMPArft1v
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var kbaUrl =
"https://api-sandbox.dwolla.com/kba/70b0e9cc-020d-4de2-9a82-a2281afa4c31";
dwolla.get(kbaUrl).then((res) => res.body.id); // => '70b0e9cc-020d-4de2-9a82-a2281afa4c31'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
kba_url = 'https://api-sandbox.dwolla.com/kba/70b0e9cc-020d-4de2-9a82-a2281afa4c31'
kba_questions = app_token.get(kba_url)
kba_questions.id # => '70b0e9cc-020d-4de2-9a82-a2281afa4c31'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$kbaApi = new DwollaSwagger\KbaApi($apiClient);
$kbaUrl = "https://api-sandbox.dwolla.com/kba/70b0e9cc-020d-4de2-9a82-a2281afa4c31";
$kbaQuestions = $kbaApi->getKbaQuestions($kbaUrl);
print $kbaQuestions->id; # => "70b0e9cc-020d-4de2-9a82-a2281afa4c31"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
kba_url = 'https://api-sandbox.dwolla.com/kba/70b0e9cc-020d-4de2-9a82-a2281afa4c31'
kba_questions = app_token.get kba_url
kba_questions.id # => "70b0e9cc-020d-4de2-9a82-a2281afa4c31"
Response Codes
- 200
- 403
- 404
Example Responses
{
"_links": {
"answer": {
"href": "https://api.dwolla.com/kba/62dac6f3-bf8f-4961-9af8-428de8ecd9a4",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "kba"
}
},
"id": "62dac6f3-bf8f-4961-9af8-428de8ecd9a4",
"questions": [
{
"id": "2355953375",
"text": "In what county do you currently live?",
"answers": [
{
"id": "2687969295",
"text": "Pulaski"
}
]
}
]
}
{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}
{
"code": "NotFound",
"message": "KBA questions not found. Check KBA id."
}
Authorizations
Authorization
string
header
required
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Accept
enum
default:application/vnd.dwolla.v1.hal+json
required
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json
Path Parameters
- id
string
required
The ID of the KBA session to retrieve questions for
Response
- 200
application/vnd.dwolla.v1.hal+json
successful operation